:This batch file is intended to be used by a sysop running a BBS with a
:QWK compatible mail door. It will scan the REP packets right after they've
:been uploaded by the users to eliminate dupes.
:It will most likely require editing to match your environment.

:This batch file will work best if called "DSZ.BAT" and placed in the same
:subdirectory as where your mail door runs in. Be certain the real DSZ
:program is not in this same subdirectory. The mail door will attempt
:to run DSZ, but this batch file will intercept the request, run the real
:DSZ, then do the scan for duplicates, and pass the remaining packet
:to the mail door for processing of the remaining messages.

:Start by running the real DSZ with all its parameters to get the packet.
:Since DSZ.BAT is in the current sub-directory, we need to point to the
:exact location where the real DSZ program resides.
C:\BIN\DSZ %1 %2 %3 %4 %5 %6 %7 %8 %9

:After the REP packet is uploaded, extract the BBS_ID.REP packet putting it
:into a temp sub-directory such as a RAM disk, scan it for duplicates, and
:re-pack it into the REP packet. This prevents duplicate messages from
:getting into your system.
IF NOT EXIST D:\QWKFILES\BBS_ID.REP GOTO NOREP
PKUNZIP -o D:\UPFILES\BBS_ID.REP BBS_ID.MSG D:\TEMPDIR
KILLQDUP D:\TEMPDIR\BBS_ID.MSG -LOG:D:\LOGS\KILLQDUP.LOG -CF:MAILDOOR.CRC -COM:2
IF ERRORLEVEL 1 GOTO NOREPDUPES
PKZIP -m D:\UPFILES\BBS_ID.REP D:\TEMPDIR\BBS_ID.MSG
GOTO REPDUPEFOUND
:NOREPDUPES
DEL D:\TEMPDIR\BBS_ID.MSG
:REPDUPEFOUND
DEL D:\TEMPDIR\BBS_ID.BAK
:NOREP

:Now that the REP packet has been scanned for duplicates, return control to
:the mail door and allow it to process the remaining messages.
